<?php
namespace PhpOffice\PhpPresentation\Slide;

use PhpOffice\PhpPresentation\AbstractShape;

class Animation
{
    const CONDITION_CLICK = 'click';
    const CONDITION_WITH = 'with';
    const CONDITION_AFTER = 'after';

    const ANIMATION_APPEAR = 'appear';
    const ANIMATION_DISAPPEAR = 'disappear';
    const ANIMATION_FADE_IN = 'fade_in';
    const ANIMATION_FADE_OUT = 'fade_out';

    /**
     * @var null|self::TYPE_CLICK|self::TYPE_WITH|self::TYPE_AFTER
     */
    protected $condition = null;

    /**
     * @var null|int
     */
    protected $duration = null;

    /**
     * @var null|self::ANIMATION_*
     */
    protected $type = null;

    /**
     * @var null|AbstractShape $shape
     */
    protected $shape = null;

    public function setCondition($condition)
    {
        $this->condition = $condition;
        return $this;
    }

    public function getCondition()
    {
        return $this->condition;
    }

    public function setDuration($duration)
    {
        $this->duration = $duration;
        return $this;
    }

    public function getDuration()
    {
        return $this->duration;
    }

    public function setType($type)
    {
        $this->type = $type;
        return $this;
    }

    public function getType()
    {
        return $this->type;
    }

    public function setShape(AbstractShape $shape)
    {
        $this->shape = $shape;
        return $this;
    }

    public function getShape()
    {
        return $this->shape;
    }
}
