<?php

namespace PhpOffice\PhpPresentation\Style;

use PhpOffice\PhpPresentation\Style\Alignment;
use PhpOffice\PhpPresentation\Style\Font;
use PhpOffice\PhpPresentation\Shape\RichText\Paragraph;

class ListStyle
{
    private $styles = array();

    private function checkLvl($lvl)
    {
        if (!is_int($lvl)) {
            return false;
        }
        if ($lvl > 9) {
            return false;
        }
        return true;
    }

    public function setStyleAtLvl($lvl, Paragraph $oParagraph)
    {
        if ($this->checkLvl($lvl)) {
            $this->styles[$lvl] = $oParagraph;
        }
        return $this;
    }

    public function getStyleAtLvl($lvl)
    {
        if ($this->checkLvl($lvl) && !empty($this->styles[$lvl])) {
            return $this->styles[$lvl];
        }
        return null;
    }
}

?>
