<?php
namespace PhpOffice\PhpWord\Reader\ODText;

use PhpOffice\PhpWord\PhpWord;
use PhpOffice\PhpWord\Shared\XMLReader;

class Style extends AbstractPart
{
    public static $styles = array();

    public function read(PhpWord $phpWord)
    {
        $xmlReader = new XMLReader();
        $xmlReader->getDomFromZip($this->docFile, $this->xmlFile);

        $nodes = $xmlReader->getElements('office:styles/style:style');
        foreach ($nodes as $node) {
            $name = $xmlReader->getAttribute('style:name', $node);
            $parentStyleName = $xmlReader->getAttribute('style:parent-style-name', $node);

            self::$styles[$name] = array();
            self::$styles[$name]['parent'] = $parentStyleName;

            if ($xmlReader->elementExists('style:paragraph-properties', $node)) {
                $paragraphStyle = $this->readParagraphStyle($xmlReader, $xmlReader->getElement('style:paragraph-properties', $node), $parentStyleName);
                self::$styles[$name][self::STYLE_TYPE_PARAGRAPH] = $paragraphStyle;
            }

            if ($xmlReader->elementExists('style:text-properties', $node)) {
                $fontStyle = $this->readFontStyle($xmlReader, $xmlReader->getElement('style:text-properties', $node), $parentStyleName);
                self::$styles[$name][self::STYLE_TYPE_FONT] = $fontStyle;
            }
        }
    }
}

?>
