<?php
namespace PhpOffice\PhpWord\Writer\HTML_ProseMirror\Element;

class Inline extends AbstractElement
{
    public function write()
    {
        return '';
    }

    private function shouldWriteCommentRangeTag($element)
    {
        return (($element instanceof \PhpOffice\PhpWord\Element\Inline) && (count($element->getComments()) > 0));
    }

    protected function writeCommentRangeStart($element)
    {
        return ($this->shouldWriteCommentRangeTag($element)
            ? '<span data-syno-comment="' . implode(' ', $element->getComments()) . '">'
            : '');
    }

    protected function writeCommentRangeEnd($element)
    {
        return ($this->shouldWriteCommentRangeTag($element) ? '</span>' : '');
    }

    private function shouldWriteRevisionTag($element)
    {
        return (($element instanceof \PhpOffice\PhpWord\Element\Inline) && is_array($element->getRevision()));
    }

    protected function writeRevisionOpeningTag($element)
    {
        if (!$this->shouldWriteRevisionTag($element)) {
            return '';
        }
        $revision = $element->getRevision();
        return "<{$revision['op']} data-syno-comment=\"{$revision['id']}\">";
    }

    protected function writeRevisionClosingTag($element)
    {
        return ($this->shouldWriteRevisionTag($element) ? ('</' . $element->getRevision()['op'] . '>') : '');
    }
}
