"use strict";const e=require("../../common/guest-manager");const t=require("../../common/webapi");const s=require("../../common/logger");const i=require("./client");const r=require("./queue");const n=require("./constants");const{decryptSysPassword:o}=require("../../common/syno-crypto");const{SNAPSHOT_ERR:h,WEBAPI_ERR:a}=require("./error_code");const{generateOFileAsync:u,isFile:c}=require("../../common/helper");const{RuleController:l}=require("@ss/runtime");class d{constructor(t,s){this.objectId=t;this.queue=new r(t);this.coreAPI=s;this.guestMgr=new e;this.userCount=0;this.clientMap=new Map;this.schemaVersion=1;this.inited=null;this.viewonly=false;this.saveTimer=null;this.gcTimer=null;this.snapshotState=new p;this.ruleController=new l}updatePassword(e){this.password=e}createClient(e,t){return new i(this,e,t)}setPath(e){this.path=e}getPath(){return this.path}checkPath(e){var t=this.path;if(t&&e!==t){this.coreAPI.onCheckPerm([this.objectId])}}cleanPath(){delete this.path}addGuest(e){return this.guestMgr.add(e)}removeGuest(e){return this.guestMgr.remove(e)}getQueue(){return this.queue}registerClient(e){if(e.snapshot_version){this.snapshotState.version=e.snapshot_version}e.socket.join(this.objectId);this.userCount++;this.clientMap.set(e.id,e);e.sayHello();this.cancelGC()}unregisterClient(e){e.sayBye();this.userCount--;this.clientMap.delete(e.id,e);e.socket.leave(this.objectId);if(this.userCount===0){this.triggerGC()}}triggerGC(){if(this.gcTimer===null){this.gcTimer=setTimeout(()=>this.prepareDestroy(),n.GC_DELAY)}}prepareDestroy(){this.gcTimer=null;this.snapshot().catch(function(){}).then(()=>{if(this.userCount===0&&this.getQueue().size()===0){this.coreAPI.removeInstance(this.objectId);if(this.saveTimer!==null){clearTimeout(this.saveTimer);this.saveTimer=null}this.getQueue().unlink();if(this.viewonly){this.delete()}else{this.gc()}}})}notifyComment(e){if(!c(this.objectId)){return}t.queueHandler.addAndRun(Object.assign({api:"SYNO.Office.Notification",version:1,method:"send",object_id:this.objectId,async:false},e))}getClients(){return this.coreAPI._getClients(this.objectId).map(e=>this.clientMap.get(e))}setViewOnly(){this.viewonly=true}isReady(){return this.schemaVersion>=n.SCHEMA_VERSION&&this.inited===true}isUninitialized(){return this.inited===null}async init(e){if(!this.isUninitialized()){return Promise.reject(new Error("running"))}this.inited=false;try{const t=await this.loadDataModel(e);this.inited=true;if(t.readonly){this.setViewOnly()}if(t.sys_password){try{this.queue.setPassword(o(t.sys_password,this.password))}catch(e){s.log("decrypt sys password error",e);return Promise.reject()}}await this.queue.recoverAsync();if(this.queue.size()>0){this.queue.getCommands().forEach(e=>this.execCommand(e));this.scheduleSave()}return t}catch(e){this.inited=null;return Promise.reject(e&&e.code||0)}}async loadDataModel(e){const s=await t.root.run({api:"SYNO.Office.Sheet.Snapshot",method:"init",version:1,object_id:this.objectId,password:this.password,lang:e});this.schemaVersion=n.SCHEMA_VERSION;this.ruleController.init(Array.isArray(s.protection)?s.protection:[]);if(s.snapshot_version){this.snapshotState.version=s.snapshot_version}return s}_checkSnapshotError(){const e=this.snapshotState.error;if(e){switch(e.code){case a.SYNOFFICE_ERR_ENCRYPT_NO_PASS:case a.SYNOFFICE_ERR_ENCRYPT_STATUS_ERR:case a.SYNOFFICE_ERR_ENCRYPT_OP_FAILED:return this.userCount!=0}if(n.SNAPSHOT_ERROR_INTERVAL>Math.abs(Date.now()-e.time)){return false}}return true}isSnapshotting(){return this._getSnapshotPromise()!==null}_getSnapshotPromise(){return this.snapshotState.promise}snapshot(e){if(this.viewonly){return Promise.resolve({snapshot_version:this.snapshotState.version})}if(!this.isReady()){return Promise.reject(h.NOT_READY)}if(!this._checkSnapshotError()){return Promise.reject(h.DEFERRED)}const t=this.getQueue();if(t.size()===0){return Promise.resolve({snapshot_version:this.snapshotState.version})}if(this.isSnapshotting()){return Promise.reject(h.SNAPTSHOTTING)}const s=this.getQueue().takeSnapshot(this.password).then(async e=>{await this._generateOFile(e);this.snapshotState.onSuccess(e);return e}).catch(e=>{this.snapshotState.onError(e);return Promise.reject(e)});this.snapshotState.onStart(e,s);return s}_generateOFile(e){const t=e&&e.editors;if(!t){return Promise.resolve()}return u(this.objectId,t,this.password)}publishTemplate(){const e="publish";let t=Promise.resolve();if(this.isSnapshotting()){if(this.snapshotState.mode===e||this.snapshotState.waitingPublish){return Promise.reject(a.SYNOFFICE_ERR_PUBLISHING)}else{this.snapshotState.waitingPublish=true;t=this._getSnapshotPromise().catch(m).then(()=>{this.snapshotState.waitingPublish=false})}}return t.then(()=>this.snapshot(e))}saveManually(e){if(this.isSnapshotting()){return this._getSnapshotPromise()}return this.snapshot(e)}gc(){return t.root.run({api:"SYNO.Office.Sheet.Snapshot",method:"gc",version:1,object_id:this.objectId,password:this.password}).catch(()=>{})}delete(){return t.root.run({api:"SYNO.Office.Node",method:"delete",version:1,object_id:this.objectId}).catch(()=>{})}scheduleSave(){if(this.saveTimer!==null){return}this.saveTimer=setTimeout(()=>{this.saveTimer=null;this.snapshot().catch(m).then(()=>{if(this.getQueue().size()>0){this.scheduleSave()}})},n.SNAPSHOT_INTERVAL)}cancelGC(){if(this.gcTimer!==null){clearTimeout(this.gcTimer);this.gcTimer=null}}broadcastAll(e,t){this.coreAPI._getRoom(this.objectId).emit(e,t)}validateCommand(e,t){if(e.canOrganize()||this.ruleController.isEmpty()){return true}return this.ruleController.validateCommand(t,e.getUid(),e.getGids())}execCommand(e){this.ruleController.execCommand(e)}}function m(){}class p{constructor(){this.mode=null,this.promise=null,this.version=null,this.error=null;this.waitingPublish=false}_clear(){this.mode=null;this.promise=null}onStart(e,t){this.mode=e;this.promise=t}onSuccess(e){this._clear();this.error=null;if(e&&e.snapshot_version){this.version=e.snapshot_version}}onError(e){this._clear();this.error={time:Date.now(),code:e}}}module.exports=d;